<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Events extends Model
{
    use SoftDeletes;
    //
    const COUNTRY_CODES = [
        'GB' => 'United Kingdom',
        'AT' => 'Austria',
        'BE' => 'Belgium',
        'BG' => 'Bulgaria',
        'HR' => 'Croatia',
        'CY' => 'Cyprus',
        'CZ' => 'Czech Republic',
        'DK' => 'Denmark',
        'EE' => 'Estonia',
        'FI' => 'Finland',
        'FR' => 'France',
        'DE' => 'Germany',
        'GR' => 'Greece',
        'HU' => 'Hungary',
        'IE' => 'Ireland',
        'IM' => 'Isle Of Man',
        'IT' => 'Italy',
        'LV' => 'Latvia',
        'LT' => 'Lithuania',
        'LU' => 'Luxembourg',
        'MT' => 'Malta',
        'NL' => 'Netherlands',
        'PL' => 'Poland',
        'PT' => 'Portugal',
        'RO' => 'Romania',
        'SK' => 'Slovakia',
        'SI' => 'Slovenia',
        'ES' => 'Spain',
        'SE' => 'Sweden',
        'CH' => 'Switzerland'
    ];
    
    protected $fillable = ['name','search_type','url','external_id','performer_1_id','performer_2_id','event_date','event_date_utc','venue_id','tixstock_id','tixstock_map_status','is_run',
    'mapped_status','source_id','status','use_tixstock_venue_details','update_requires','prev_name','prev_search_type','prev_url','prev_performer_1_id','prev_performer_2_id','prev_event_date','prev_event_date_utc','prev_venue_id'];

    public function auditevents(){
        return $this->belongsTo('App\AuditEvents','event_id');
    }

    public function eventcategory(){
        return $this->hasOne('App\EventCategory','event_id');
    }

    public function performer1(){
        return $this->belongsTo('App\Performers','performer_1_id');
    }

    public function performer2(){
        return $this->belongsTo('App\Performers','performer_2_id');
    }

    public function venue(){
        return $this->belongsTo('App\Venues','venue_id');
    }
    
    public function tixstocklog(){
        return $this->hasMany('App\TixstockLog','event_id');
    }
    
    public function source(){
        return $this->belongsTo('App\Sources','source_id');
    }
    
    public function prevPerformer1(){
         return $this->belongsTo('App\Performers','prev_performer_1_id');
    }
    
    public function prevPerformer2(){
         return $this->belongsTo('App\Performers','prev_performer_2_id');
    }
    
    public function prevVenue(){
        return $this->belongsTo('App\Venues','prev_venue_id');
    }
}
