<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
// use App\Logs;
use App\Performers;
use App\Venues;
use App\Events;
use App\EventCategory;
use App\VenueCategory;
use App\VenueSection;
use App\Sources;
use App\Traits\ApiTrait;
use App\Traits\StubhubTrait;
class StubhubController extends Controller
{
    use ApiTrait,StubhubTrait;
    //
    const STRIPE_KEY = "e1JCPLipepG4ZijF2Gs2tCGot7kYLYQy";
    const STRIPE_SECRET_KEY = "apnWAuRUSAxkV6GG";
    
    const URL_GET_VENUE = '/partners/search/venues/v3/';
    const URL_GET_TOKEN = "/sellers/oauth/accesstoken?grant_type=client_credentials";
    const URL_GET_EVENT = "/sellers/search/bulk/events/v3";
    
    public function index($slug=null){
        
        $resources = Sources::get();
        foreach($resources as $resource){
            switch($resource->name){
                case 'Stubhub':
                    $this->fetchStubhubData($resource,$slug);
                    break;
                default:
                    break;
            }
        }
    }
    
    /**
     * This function is used to create new token for accessing stubhub api
     * @array return token data
     */

    static function createToken(){
        $key=self::STRIPE_KEY;
        $secret=self::STRIPE_SECRET_KEY;
        
        $url = env('STUBHUB_API_URL').'/'.self::URL_GET_TOKEN;
        $curl = curl_init();
        $curl_headers = array(
                      'content-type: application/json',
                      'Authorization: Basic '. base64_encode("$key:$secret")
                     );  
       
        curl_setopt($curl, CURLOPT_HTTPHEADER, $curl_headers);
        curl_setopt($curl, CURLOPT_HEADER, false );
        curl_setopt($curl, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_ENCODING , 'gzip, deflate');
        curl_setopt($curl, CURLOPT_SSL_VERIFYHOST , false);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER , false);
        curl_setopt($curl, CURLOPT_TIMEOUT , 500 );
        curl_setopt($curl, CURLINFO_HEADER_OUT, false);
        curl_setopt($curl, CURLOPT_FOLLOWLOCATION, true);
        
        
        $login_data = array(
                'username'=>'admin@tixstock.com',
                'password'=>'U94K3RX2$WD%yhma'
                );

        $send_login_data = json_encode($login_data);
            
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $send_login_data);
        
        $output = curl_exec($curl);
        curl_close($curl);
        
        $response = json_decode($output,true);
        return $response['access_token'];
        
    }
    
    
    public function getVenue($venue_id){
        
        $url =  env('STUBHUB_API_URL').''.self::URL_GET_VENUE.'?id='.$venue_id;
        $token = $this->createToken();
        $output = $this->fetchData($url,$token);
        return $output;
    }

   
    
}
