<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
// use App\Logs;
use App\Performers;
use App\Venues;
use App\Events;
use App\EventCategory;
use App\VenueCategory;
use App\VenueSection;
use App\Sources;
use App\Traits\ApiTrait;
use App\Traits\StubhubTrait;
use App\Categories;
use App\SubCategories;

class TixstockController extends Controller{
    
    use ApiTrait;
    const URL_GET_CATEGORIES = "/categories/get";
    
    public function getCategories(){
        
        $url = env('TIXSTOCK_URL').self::URL_GET_CATEGORIES;
        $tixstock = Sources::where('name','Tixstock')->first();
        $token = $tixstock->token;
        
        $categories = $this->fetchData($url,$token);
        
        if(!empty($categories['data'])){
            $data = $categories['data'];
            foreach($data as $category){
                $catData['name'] = $category['name'];
                $catData['parent']=isset($category['parent']) && !empty($category['parent']) ? $category['parent']['name'] : '';
                $cat = Categories::where($catData)->first();
                if(!$cat){
                    $cat = Categories::create($catData);
                }
                if(!empty($category['children'])){
                    foreach($category['children'] as $child){
                        $childData = [];
                        $childData['name']=$child['name'];
                        $childData['category_id'] = $cat->id;
                        $checkSubCat = SubCategories::where($childData)->first();
                        if(!$checkSubCat){
                            SubCategories::create($childData);
                        }
                    }
                }
            }
        }
        
        
    }
    
}