<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DataTables;
use App\AuditEvents;
use App\EventCategory;
use App\VenueCategory;
use App\VenueSection;
use App\Performers;
use App\Events;
use App\TixstockLog;
use DB;

class EventsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request,$domain=null,$type=null)
    {
        //
        $status = '';
        $category = '';
        $performer = '';
        if($request->status && !empty($request->status)){
            $status = $request->status;
        }
        if($request->domain && !empty($request->category)){
            $category = $request->category;
        }
        if($request->performer && !empty($request->performer)){
            $performer = $request->performer;
        }
        $search_type_result=[];
        if($domain == 'stubhub' && !empty($status)){
            $search_type_result=DB::select("SELECT DISTINCT search_type FROM events where search_type != 'football' ");
        }

        $today_date = '';
        if($domain == 'stubhub' && (!empty($type) || !empty($performer))){
        
            if(!empty($performer)){
                $data=DB::select("SELECT created_at FROM events order by id asc LIMIT 1");
            }
            else{
                $data=DB::select("SELECT created_at FROM events where search_type = '".$type."' order by id asc LIMIT 1");
            }
            if(!empty($data)){
                $today_date = date('Y-m-d',strtotime($data[0]->created_at));
            }
            else{
                $today_date = date('Y-m-d');
            }
        }
        else{
            $today_date = date('Y-m-d');
        }

        $performers=Performers::get();
        $searchType=DB::table('events')->distinct()->where('search_type','!=','')->get(['search_type']);
        
        // if($domain == 'stubhub' && !empty($status)){
        //     $search_type_query=$oDB->select("SELECT DISTINCT search_type FROM events where search_type != 'football' ");
        // }    
        return view('admin.events.index',compact('domain','type','status','today_date','category','performer','search_type_result','performers','searchType'));
    }

    public function data1(Request $request){
       
        // $events=AuditEvents::with(['events','events.venue','events.eventcategory','events.performer1','events.performer2']);
        // if($request->music_filter == 1){
        //     $events=$events->where('events.search_type','Music');
        // }
        // $events=$events->get();
        $category = $request->category;
        $performer = $request->performer;
        $draw = $request->draw;
        $domain = $request->domain;
        $status = $request->status;
        $from_date = $request->from_date;
        $to_date = $request->to_date;
        $music_filter = $request->music_filter;
        $football_filter = $request->football_filter;
        $sport_filter = $request->sport_filter;
        $change_date_filter = $request->change_date_filter;
        $change_time_filter = $request->change_time_filter;
        $type = $request->type;
        $row = $request->start;
        $rowperpage = $request->length; // Rows display per page
        $columnIndex = $request->order[0]['column']; // Column index
        $get_columnName = $request->columns[$columnIndex]['data']; // Column name
        $columnName = 'a.'.$get_columnName; // Column name
        $columnSortOrder = $request->order[0]['dir']; // asc or desc
        $searchValue = $request->search['value']; // Search value
        
        $send_post_data_back = array();
        $send_post_data_back['category'] = $category;
        $send_post_data_back['performer'] = $performer;
        $send_post_data_back['domain'] = $domain;
        $send_post_data_back['status'] = $status;
        $send_post_data_back['from_date'] = $from_date;
        $send_post_data_back['to_date'] = $to_date;
        $send_post_data_back['music_filter'] = $music_filter;
        $send_post_data_back['football_filter'] = $football_filter;
        $send_post_data_back['sport_filter'] = $sport_filter;
        $send_post_data_back['change_date_filter'] = $change_date_filter;
        $send_post_data_back['change_time_filter'] = $change_time_filter;
        $send_post_data_back['type'] = $type;
        $send_post_data_back['searchValue'] = $searchValue;

        $export_url = http_build_query($send_post_data_back);
        ## Search
        $filterQuery = " ";
        $searchQuery = " ";
        $count_type_filter = "";
        $old_new_date_filter = "";

        if($domain == 'stubhub'){
            if($searchValue != ''){
                $searchQuery .= " and (b.name like '%".$searchValue."%' or 
                      b.event_id like '%".$searchValue."%' or
                      b.search_type like '%".$searchValue."%' or
                      b.event_date like '%".$searchValue."%' or
                      p.name like '%".$searchValue."%' or
                      v.name like '%".$searchValue."%' or
                      v.city like '%".$searchValue."%' or
                      v.state like '%".$searchValue."%' or
                      v.post_code like '%".$searchValue."%' or
                      v.country like '%".$searchValue."%' or
                      ec.secondary_category like '%".$searchValue."%' or
                      ec.sub_category like '%".$searchValue."%' ";
                     
                  if(!empty($status) && $status == 'update'){
                      $searchQuery .= " or a.old_value like '%".$searchValue."%' or 
                      a.new_value like '%".$searchValue."%' ";
                  }
                  $searchQuery .= " ) ";
            }
            if($music_filter == 1){
                $filterQuery .= " and b.search_type='Music' ";
            }
            if($football_filter == 1){
                $filterQuery .= " and b.search_type='football' ";
            }
            if($sport_filter == 1){
                $filterQuery .= " and b.search_type='Sport' ";
            }
            if($change_date_filter == 1){
                $filterQuery .= " and DATEDIFF( JSON_UNQUOTE(JSON_EXTRACT(a.new_value, '$.event_date')), JSON_UNQUOTE(JSON_EXTRACT(a.old_value, '$.event_date'))) != 0";
            }
            if(!empty($status)){
                $filterQuery .= " and a.created >= '".$from_date." 00:00:00' and a.created <= '".$to_date." 23:59:59' and a.status='".$status."' ";
                
                if($status == 'update'){
                    $filterQuery .= " and a.fields like '%event_date%' ";
                }
                $searchQuery .= $filterQuery;
                
                if($status == 'update'){
                    $old_new_date_filter = "SELECT 
                    COUNT( CASE WHEN (DATEDIFF( JSON_UNQUOTE(JSON_EXTRACT(a.new_value, '$.event_date')),JSON_UNQUOTE(JSON_EXTRACT(a.old_value, '$.event_date'))) !=0) THEN 1 END ) AS date_change, 
                    COUNT( CASE WHEN (TIMESTAMPDIFF(SECOND,JSON_UNQUOTE(JSON_EXTRACT(a.new_value, '$.event_date')),JSON_UNQUOTE(JSON_EXTRACT(a.old_value, '$.event_date'))) !=0) THEN 1 END ) AS time_change FROM 
                    audit_events a LEFT join events b on b.event_id=a.event_id where 1 ".$searchQuery;
                }
                
                $count_type_filter = "SELECT COUNT( CASE WHEN (a.search_type='Music') THEN 1 END ) AS stubhub_music,
                COUNT( CASE WHEN (a.search_type='Sports') THEN 1 END ) AS stubhub_sports,
                COUNT( CASE WHEN (a.search_type='football') THEN 1 END ) AS stubhub_football FROM audit_events a LEFT join events b on b.event_id=a.event_id where 1 ".$searchQuery;
                $without_filter = "SELECT COUNT(*) AS allcount FROM audit_events a 
                LEFT join events b on b.event_id=a.event_id 
                LEFT join venues v on v.id=b.venue_id 
                LEFT join event_category ec on ec.event_id=b.id 
                LEFT join performers p1 on p1.id=b.performer_1_id
                LEFT join performers p2 on p2.id=b.performer_2_id
                where 1 ".$filterQuery;
                
                $with_filter = "SELECT COUNT(*) AS allcount FROM audit_events a 
                LEFT join events b on b.event_id=a.event_id 
                LEFT join venues v on v.id=b.venue_id 
                LEFT join event_category ec on ec.event_id=b.id 
                LEFT join performers p1 on p1.id=b.performer_1_id
                LEFT join performers p2 on p2.id=b.performer_2_id
                WHERE 1 ".$searchQuery.' GROUP by b.id';
                
                $final_qry = "SELECT a.*,b.*,p1.name as performer1,p2.name as performer2,v.name as venue_name,v.city,v.state,v.post_code,v.country,ec.primary_category,ec.secondary_category,ec.sub_category FROM audit_events a 
                LEFT join events b on b.event_id=a.event_id 
                LEFT join venues v on v.id=b.venue_id 
                LEFT join event_category ec on ec.event_id=b.id 
                LEFT join performers p1 on p1.id=b.performer_1_id
                LEFT join performers p2 on p2.id=b.performer_2_id
                WHERE 1 ".$searchQuery." ORDER BY ".$columnName." ".$columnSortOrder." limit ".$row.",".$rowperpage;
            }
            if(!empty($type) || !empty($performer)){
        
                if(!empty($type)){
                    $filterQuery .= " and b.search_type='".$type."' and b.created_at >= '".$from_date." 00:00:00' and b.created_at <= '".$to_date." 23:59:59' ";
                    if(!empty($category)){
                        if (preg_match("/^\d+$/", $category)) {
                            // $filterQuery .= " and b.sub_category_id = $category ";
                        }
                        else{
                            // $filterQuery .= " and JSON_UNQUOTE(JSON_EXTRACT(b.data, '$.ancestors.groupings')) like '%".$category."%' ";
                        }
                    }
                }
                
                if(!empty($performer)){
                    $filterQuery .= " and (p1.name = '".$performer."' OR p2.name = '".$performer."') and b.created_at >= '".$from_date." 00:00:00' and b.created_at <= '".$to_date." 23:59:59' ";
                }
                
                $searchQuery .= $filterQuery;
                
                $without_filter = "SELECT COUNT(*) AS allcount FROM events b
                LEFT join venues v on v.id=b.venue_id 
                LEFT join event_category ec on ec.event_id=b.id 
                LEFT join performers p1 on p1.id=b.performer_1_id
                LEFT join performers p2 on p2.id=b.performer_2_id
                where 1 ".$filterQuery;
                
                $with_filter = "SELECT COUNT(*) AS allcount FROM events b
                LEFT join venues v on v.id=b.venue_id 
                LEFT join event_category ec on ec.event_id=b.id 
                LEFT join performers p1 on p1.id=b.performer_1_id
                LEFT join performers p2 on p2.id=b.performer_2_id
                WHERE 1 ".$searchQuery;
                
                $columnName = str_replace('a.','b.',$columnName);
                
                $final_qry = "SELECT b.*,p1.name as performer1,p2.name as performer2,v.name as venue_name,v.city,v.state,v.post_code,v.country,ec.primary_category,ec.secondary_category,ec.sub_category FROM events b 
                LEFT join venues v on v.id=b.venue_id 
                LEFT join event_category ec on ec.event_id=b.id 
                LEFT join performers p1 on p1.id=b.performer_1_id
                LEFT join performers p2 on p2.id=b.performer_2_id
                WHERE 1 ".$searchQuery."  ORDER BY ".$columnName." ".$columnSortOrder." limit ".$row.",".$rowperpage;
            }
        }
        $count_music=0;
        $count_sports=0;
        $count_football=0;
        ## Total number of records of search_type
        if(!empty($count_type_filter)){
            $stmt = DB::select($count_type_filter);
               
            $count_music = $stmt[0]->stubhub_music;
            $count_sports = $stmt[0]->stubhub_sports;
            $count_football = $stmt[0]->stubhub_football;
        }
        $date_change = 0;
        $time_change = 0;

        ## Total number of records of change date & time
        if(!empty($old_new_date_filter)){
        $stmt = DB::select($old_new_date_filter);
        $date_change = $stmt[0]->date_change;
        $time_change = $stmt[0]->time_change;
        }

        // ## Total number of records without filtering
        $totalRecords = 0;
        if(!empty($without_filter)){
            $stmt = DB::select($without_filter);
            $totalRecords = $stmt[0]->allcount;
        }

        // ## Total number of records with filtering
        $totalRecordwithFilter = 0;
        if(!empty($with_filter)){
            $stmt = DB::select($with_filter);
           if(!empty($stml)){
            $totalRecordwithFilter = $stmt[0]->allcount;
           }
           
        }
        ## Fetch records
        $empQuery = DB::select($final_qry);
       

        $data = array();
        $i=0;
        if(!empty($empQuery)){
            foreach($empQuery as $row){
                if($domain == 'stubhub'){
                    $event_date = $row->event_date; 
                    $event_old_date = '';
                    $event_new_date = '';
                    if(!empty($status) && $status == 'update'){
                        $old_values = json_decode($row->old_value,true);
                        foreach($old_values as $key =>$old_value){
                            if($key == 'event_date'){
                                $event_old_date .=  date('d-m-Y H:i:s', strtotime($old_value));
                            }
                        }
                        $new_values = json_decode($row['new_value'],true);
                        foreach($new_values as $key =>$new_value){
                            if($key == 'event_date'){
                            $event_new_date .= date('d-m-Y H:i:s', strtotime($new_value));
                            
                            }
                        }
                    }
                    $performers_html = '';
                    $performer='';
                    if(!empty($row->performer1)){
                        $performer = $row->performer1;
                    }
                    if(!empty($row->performer2) && $row->performer2 != null){
                        $performer.=','.$row->performer2;
                    }
                   
                    if(!empty($performer)){
                        $performer_arr = array();
                        $performers_html .= '<ul class="perfomer_ul">';
                        
                        $get_performers = array_filter(explode(',',$performer));
                        
                        foreach($get_performers as $get_performer){
                            $performers_html .= '<li>'.$get_performer.'</li>';
                            $performer_arr[] = $get_performer;
                        }
                        
                        $performers_html .= '<a href="javascript:void(0);" performer_name = "'.implode(',',$performer_arr).'" event_name="'.$row->name.'" id="'.$row->id.'" class="action-icon edit_performer" style="color: green;" title="Edit Performer" data-original-title="Edit Performer" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" > <i class="mdi mdi-pencil"></i></a>';
                        $performers_html .= '</ul>';
                    }
                    else{
                        $performers_html = '<button type="button" event_name="'.$row->name.'" id="'.$row->id.'" class="btn btn-danger waves-effect waves-light performer_btn" title="Add Performer" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-arrow="true" ><i class="mdi mdi-plus"></i></button>';
                    }
                    $venue_html = $row->venue_name;
                    $venue_address_html = $row->venue_name.' '.$row->city.' '.$row->state.' '.$row->post_code.' '.$row->country;
                    $event_venue_details_btn = '<button type="button" event_name="'.$row->name.'" id="'.$row->id.'" class="ladda-button btn btn-primary waves-effect waves-light event_venue_detail_btn" dir="ltr" data-style="expand-right" title="View Detail" data-original-title="View Detail" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy=""  ><i class="mdi mdi-eye"></i></button>';
                    $url = 'https://www.stubhub.ie/'.$row->url;
                    $name = $row->name.'<a class="ms-2" href="'.$url.'" target="_blank" ><i class="mdi mdi-link-variant font-18 text-success me-1 align-middle"></i></a>';
                    $name .= '<div class="url_div show_url">Url: '.$row->url.'</div>';
                    $category_html = '';
                    $searchtype = $row->search_type;
                    if(!empty($row->secondary_category) || !empty($row->sub_category)){
                        $category_html .= '<ul class="group_ul">';
                        if(!empty($row->secondary_category)){
                            $category_name = $row->secondary_category;
                            $category_html .= '<li>'.$category_name;
                            $category_html .= '<a href="javascript:void(0);" original_name="'.$category_name.'" search_type="'.$searchtype.'" category_name="'.$category_name.'" id="'.$row->id.'" class="action-icon edit_category" style="color: green;" title="Edit Category" data-original-title="Edit Category" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" > <i class="mdi mdi-pencil"></i></a>';
                            $category_html .= '</li>';
                        }
                        if(!empty($row->sub_category)){
                            $category_name = $row->sub_category;
                            $category_html .= '<li>'.$category_name;
                            $category_html .= '<a href="javascript:void(0);" original_name="'.$category_name.'" search_type="'.$searchtype.'" category_name="'.$category_name.'" id="'.$row->id.'" class="action-icon edit_category" style="color: green;" title="Edit Category" data-original-title="Edit Category" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" > <i class="mdi mdi-pencil"></i></a>';
                            $category_html .= '</li>';
                        }
                     $category_html .= '</ul>';
                    }
                }
                if(empty($category_html)){
                    $category_html = '<button type="button" original_name="" search_type="'.$searchtype.'" category_name="" event_name="'.$row->name.'" id="'.$row->id.'" class="btn btn-blue waves-effect waves-light sub_category_btn" title="Add Category" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-arrow="true" ><i class="mdi mdi-plus"></i></button>';
                }
                if(!empty($row->id)){
                    $data[$i]['id'] = $row->id;
                    $data[$i]['search_type'] = $row->search_type;
                    $data[$i]['event_id'] = $row->external_id;
                    $data[$i]['name'] = $name;
                    $data[$i]['category'] = $category_html;
                    $data[$i]['event_date'] = $row->event_date;
                    if($status == 'update'){
                        $data[$i]['event_old_date'] = $event_old_date;
                        $data[$i]['event_new_date'] = $event_new_date;
                    }
                    $data[$i]['venue'] = $venue_html;  
                    $data[$i]['venue_address'] = $venue_address_html;  
                    $data[$i]['performers'] = $performers_html;  
                    $data[$i]['event_venue_details'] = $event_venue_details_btn;  
                }
                $i++;
            }
            
        }
        $response = array(
            "draw" => intval($draw),
            "iTotalRecords" => $totalRecords,
            "iTotalDisplayRecords" => $totalRecordwithFilter,
            "aaData" => $data,
            //"count_type_filter" => $count_type_filter,
            "final_qry" => $final_qry,
            "count_music" => $count_music,
            "count_sports" => $count_sports,
            "count_football" => $count_football,
            "date_change" => $date_change,
            "export_url" => $export_url,
          );
          
          return response()->json($response);
    }

   public function data(Request $request){
        
        ini_set('memory_limit','-1');
        
        $events= Events::with(['venue', 'eventcategory','venue.category','venue.category.section' ,'performer1', 'performer2','tixstocklog']);
        
        
        if(empty($request->external_id) && empty($request->change_in_date) && empty($request->change_in_name) && empty($request->change_in_venue) && empty($request->change_in_performer)){
            if($request->update_requires==1){
                $events=$events->where('update_requires',1);
            }else{
                $events=$events->where('update_requires',0);
            }
        }
        if(!empty($request->type)){
            $events=$events->where('search_type',$request->type);
        }
        if($request->mappedStatus != '' && ($request->mappedStatus == 0 || $request->mappedStatus == 1)){
            $events=$events->where('mapped_status',$request->mappedStatus);
        }
        if(!empty($request->performer)){
            $events=$events->where('performer_1_id',$request->performer)->orWhere('performer_2_id',$request->performer);
        }
        if(!empty($request->from_date) && !empty($request->to_date) && empty($request->external_id)){
            if($request->from_date != $request->to_date){
                $events = $events->whereBetween('event_date',[$request->from_date.' 00:00:00',$request->to_date.' 23:59:59']);
            }else{
                $events = $events->where('event_date','>=',$request->from_date.' 00:00:00');
            }
        }
        if(!empty($request->event_name)){
            $events=$events->where('name','like','%'.$request->event_name.'%');
        }
        if(!empty($request->external_id)){
            $externalId = explode(',',$request->external_id);

            $events=$events->whereIn('external_id',$externalId);
        }
        if(!empty($request->venue)){
            $venue = $request->venue;
            $events=$events->whereHas('venue', function($q) use ($venue){
                $q->where('name','like','%'.$venue.'%');
            });
        }
        if(!empty($request->venue_address)){
            $venueAddress = $request->venue_address;
            $events=$events->whereHas('venue',function($q) use ($venueAddress){
                $q->where('address_line_1','like','%'.$venueAddress.'%');
            });
        }
        if(!empty($request->change_in_date)){
            $events = $events->where('prev_event_date','!=',NULL);
        }
        if(!empty($request->change_in_venue)){
            $events = $events->where('prev_venue_id','!=',NULL);
        }
        
        $events = $events->where('current_version',1);
        
        $events=$events->get();
        
        return Datatables::of($events) 
        ->rawColumns(['name','event_id','category','event_date','venue','venue_address','performers','event_venue_details','actions','created_at'])
        ->editColumn('created_at',function($events){
            return date('Y-m-d h:i:s',strtotime($events->created_at));
        })
        ->editColumn('event_id', function ($events) {
            return $events->external_id;
        })
        ->editColumn('name',function($events){
            $name = $events->name.'<a class="ms-2" href="'.$events->url.'" target="_blank" ><i class="mdi mdi-link-variant font-18 text-success me-1 align-middle"></i></a>';
            $name .= '<div class="url_div show_url">Url: '.$events->url.'</div>';
            return $name;
        })
        ->editColumn('category',function($events){
            // dd($events);
            $category_html = '';
            //$searchtype = $row->search_type;
            if(!empty($events->eventcategory->secondary_category) || !empty($events->eventcategory->secondary_category)){
                $category_html .= '<ul class="group_ul">';
                if(!empty($events->secondary_category)){
                    $category_name = $events->secondary_category;
                    $category_html .= '<li>'.$category_name;
                    $category_html .= '<a href="javascript:void(0);" original_name="'.$category_name.'" search_type="'.$searchtype.'" category_name="'.$category_name.'" id="'.$events->id.'" class="action-icon edit_category" style="color: green;" title="Edit Category" data-original-title="Edit Category" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" > <i class="mdi mdi-pencil"></i></a>';
                    $category_html .= '</li>';
                }
                if(!empty($events->sub_category)){
                    $category_name = $roevents->sub_category;
                    $category_html .= '<li>'.$category_name;
                    $category_html .= '<a href="javascript:void(0);" original_name="'.$category_name.'" search_type="'.$searchtype.'" category_name="'.$category_name.'" id="'.$events->id.'" class="action-icon edit_category" style="color: green;" title="Edit Category" data-original-title="Edit Category" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" > <i class="mdi mdi-pencil"></i></a>';
                    $category_html .= '</li>';
                }
                $category_html .= '</ul>';
            }
            if(empty($category_html)){
                $category_html = '<button type="button" original_name="" search_type="'.$events->search_type.'" category_name="" event_name="'.$events->name.'" id="'.$events->id.'" class="btn btn-blue waves-effect waves-light sub_category_btn" title="Add Category" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-arrow="true" ><i class="mdi mdi-plus"></i></button>';
            }
            return $category_html;
        })
        ->editColumn('event_date',function($events){
                return $events->event_date;
        })
        ->editColumn('venue_address',function($events){
            $venue_address_html = $events->venue->address_line_1.' '.$events->venue->city.' '.$events->venue->state.' '.$events->venue->post_code.' '.$events->venue->country;
            return $venue_address_html;
        })
        ->editColumn('venue',function($events){
            return $events->venue->name;
        })
        ->editColumn('performers',function($events){
            $performers_html = '';
            $performer='';
            $performerId='';
            if(!empty($events->performer1)){
                $performer = $events->performer1->name;
                $performerId=$events->performer_1_id;
            }
            if(!empty($events->performer2) && $events->performer2 != null){
                $performer.=','.$events->performer2->name;
                $performerId.=",".$events->performer_2_id;
            }
           
            if(!empty($performer)){
                $performer_arr = array();
                
                $performers_html .= '<ul class="perfomer_ul">';
                
                $get_performers = array_filter(explode(',',$performer));
                
                foreach($get_performers as $get_performer){
                    $performers_html .= '<li>'.$get_performer.'</li>';
                    $performer_arr[] = $get_performer;
                }
                
                $performers_html .= '<a href="javascript:void(0);" performer_name = "'.implode(',',$performer_arr).'" performer_id="'.$performerId.'" event_name="'.$events->name.'" id="'.$events->id.'" class="action-icon edit_performer" style="color: green;" title="Edit Performer" data-original-title="Edit Performer" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" > <i class="mdi mdi-pencil"></i></a>';
                $performers_html .= '</ul>';
            }
            else{
                $performers_html = '<button type="button" event_name="'.$events->name.'" id="'.$events->id.'" class="btn btn-danger btn-lg waves-effect waves-light performer_btn" title="Add Performer" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-arrow="true" ><i class="mdi mdi-plus"></i></button>';
            }
            return $performers_html;
        })
        ->editColumn('event_venue_details',function($events){
            $event_venue_details_btn = '<button type="button" event_name="'.$events->name.'" id="'.$events->id.'" class="btn btn-lg btn-primary waves-effect waves-light event_venue_detail_btn" dir="ltr" data-style="expand-right" title="View Detail" data-original-title="View Detail" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy=""  ><i class="mdi mdi-eye"></i></button>';
            return $event_venue_details_btn;
        })
        ->editColumn('actions',function($events){
            $action = "";
            $tixstlog = "";
            $delete= "";
            $version = "";
            $versionCheck = Events::where('external_id',$events->external_id)->where('current_version',0)->first();
            if($versionCheck){
                $version =  '<button style="margin-top:5px" type="button" id="'. $events->external_id.'"  data-src="'.route('get.event.versions').'" class=" waves-effect btn-primary waves-light btn btn-md bg-red btn-flat event_version" dir="ltr" data-style="expand-right" title="Previous Version" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" ><i class="fa fa-list"></i></button>';
            }
            if($events->tixstocklog->count() > 0){
            
            $tixstlog = '<button type="button" event_name="'.$events->name.'" id="'.$events->id.'" class=" btn btn-md btn-danger waves-effect waves-light tixstock_log" dir="ltr" data-style="expand-right" title="Tixstock Log" data-original-title="Tixstock log details" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy=""  ><i class="mdi mdi-eye"></i></button>';
            }
            $delete = '<button style="margin-top:5px" type="button" id="'. $events->id.'"  data-src="'.route('event.destroy', $events->id).'" class=" waves-effect btn-primary waves-light btn btn-md bg-red btn-flat delete" dir="ltr" data-style="expand-right" title="Discard Event" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" ><i class="fa fa-trash"></i></button>';
            $view = '<a href="'.route('event.show', $events->external_id).'" target="_blank" style="margin-top:5px" type="button" id="'. $events->id.'"  data-src="'.route('event.show', $events->external_id).'" class=" waves-effect btn-warning waves-light btn btn-md bg-red btn-flat" dir="ltr" data-style="expand-right" title="View Event" tabindex="0" data-plugin="tippy" data-tippy-animation="scale" data-tippy-inertia="true" data-tippy-duration="[600, 300]" data-tippy-arrow="true" data-tippy="" ><i class="fa fa-eye"></i></a>';
            $action = $tixstlog .' '.$view.' '.$version;
            return $action;
        })
        ->make(true);
    
    }
    
    public function getTixstockLog(Request $request)
    {
        $tixstockLog = TixstockLog::with(['event','source'])->where('event_id',$request->id)->orderBy('created_at','desc')->get();
        $html=view('admin.events.ajax.tixstock_log',compact('tixstockLog'))->render();
       
        return response()->json(['error'=>0, 'errmsg'=>'','html'=>$html,'id'=>$request->id]);
        
    }

    public function fetchEventVenueDetails(Request $request){
        $eventCategory = EventCategory::where('event_id',$request->id)->first();

        $get_event_id_category = '';
        $get_event_id_section = '';
        
        $category_arr = array();
        $section_arr = array();
        $category_details_html = '';
        $section_details_html = '';
        $main_result_rows = array();
        $get_event_id_category = $eventCategory->event_categories;
        $get_event_id_section = $eventCategory->event_section;
      
       // $category = VenueCategory::with('section')->whereIn('id',explode(',',$get_event_id_category))->get();
       $category = VenueCategory::with('section')->where('venue_id',$eventCategory->venue_id)->where('source_id',$eventCategory->source_id)->get();
       $tixstockCategory = VenueCategory::with('section')->where('venue_id',$eventCategory->venue_id)->where('source_id',0)->get();
       $venueId=$eventCategory->venue_id;
       $html = view('admin.events.ajax.event_venue_section',compact('category','tixstockCategory','venueId'))->render();

        return response()->json(['error'=>0, 'errmsg'=>'','html'=>$html,'id'=>$request->id]);

    }

    public function eventsVenueCategoryUpdate(Request $request){

        $input=$request->all();
        
        $category=VenueCategory::where('id',$input['pk'])->first();
        $response=[];
        //check default version category exist or not
        $checkCategory=VenueCategory::where('venue_id',$category->venue_id)
                                    ->where('name',$request->name)
                                    ->where('source_id',0)
                                    ->where('venue_category',$category->venue_category)
                                    ->first();
        if(!$checkCategory){
            $venueCategory=['name'=>$input['value'],'venue_id'=>$category->id,'venue_category'=>$category->venue_category,'source_id'=>0];
            $defaultCategory=VenueCategory::create($venueCategory);
            $response=['success'=>true,'msg'=>'Category added successfully.'];
        }else{
            $checkCategory->name=$input['name'];
            $checkCategory->save();
            $response=['success'=>true,'msg'=>'Category updated successfully.'];
        }
        return response()->json($response);
    }

    public function eventsDataUpdate(Request $request){
        
        $input=$request->all();

        if($input['method']="performer_save"){
            //
            $performers = $input['performers'];
            $performers=array_filter($performers);
            if(!empty($performers)){
                foreach($performers as $performer){
                    $check = Performers::where('name',$performer)->first();
                    if(!$check){
                        Performers::create(['name'=>$performer,'name_variation'=>$performer]);
                    }
                }
            }
        }
    }

    public function eventsUpdateCategorySection(Request $request){
        
            $id=$request->id;
            $venueId = $request->venue_id;
            $newlyAddCategory=array_filter($request->newly_add_category);
            $newlyAddSection=array_filter($request->newly_add_section);
            if(!empty($newlyAddCategory)){
                foreach($newlyAddCategory as $key=>$category){
                    if (is_numeric($key)) {
                            if(isset($newlyAddSection[$key]) && !empty($newlyAddSection[$key])){
                                foreach($newlyAddSection[$key] as $section){
                                    if(!is_numeric($section)){
                                        $secArray=['name'=>$section,'category_id'=>$key,'source_id'=>0];
                                        $checkSection=VenueSection::where($secArray)->first();
                                        if(!$checkSection){
                                            VenueSection::create($secArray);
                                        }
                                    }
                                }
                            }
                    }
                    else{
                        //create category
                        $catArray=['name'=>$category,'venue_id'=>$venueId,'source_id'=>0];
                        $checkCategory=VenueCategory::where($catArray)->first();
                        if(!$checkCategory){
                            $newCategory=VenueCategory::create($catArray);
                            if(!empty($newlyAddSection[$key])){
                                foreach($newlyAddSection[$key] as $section){
                                    $secArray=['name'=>$section,'category_id'=>$newCategory->id,'source_id'=>0];
                                    $checkSection=VenueSection::where($secArray)->first();
                                    if(!$checkSection){
                                        VenueSection::create($secArray);
                                    }   
                                }
                            } 
                        } 
                    }
                }
            }
            $response=['success'=>true,'msg'=>"Category & Section added successfully."];
            return response()->json($response);
    }
    
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
        $event = Events::with(['venue', 'eventcategory','venue.category','venue.category.section' ,'performer1', 'performer2','tixstocklog'])->where('external_id',$id)->where('current_version',1)->first();
        // dd($event);
          return view('admin.events.view',compact('event'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        
      
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        Events::where('id',$id)->delete();
        return response()->json(['success'=>true,'msg'=>'Event Deleted Successfully']);
    }


    public function eventsPerformersUpdate(Request $request){
        
        $input=$request->all();
        
        $request->performers = array_filter($request->performers);
        $request->performers = array_unique($request->performers);
        $request->merge(['performers'=>$request->performers]);
        
        $rules = [
            'performers'=> 'required|array|distinct|min:1|max:2',
        ];
        $this->validate($request,$rules);

        $performer_1_id="";
        $performer_2_id="";

        $input = $request->all();
    
        array_unique($input['performers']);
        //check performer 1 & performer 2
        if(isset($input['performers'][0]) && !empty($input['performers'][0])){
            $checkPerformer1 = Performers::where('name',$input['performers'][0])->first();
            if($checkPerformer1){
                $performer_1_id = $checkPerformer1->id;
            }else{
                $performersArray=['name'=>$input['performers'][0],'source_id'=>1];
                $perfromers=Performers::create($performersArray);
                $performer_1_id=$performers->id;
            }
        }

        if(isset($input['performers'][1]) && !empty($input['performers'][1])){
            $checkPerformer2 = Performers::where('name',$input['performers'][1])->first();
            if($checkPerformer2){
                $performer_2_id = $checkPerformer2->id;
            }else{
                $performersArray=['name'=>$input['performers'][1],'source_id'=>1];
                $perfromers=Performers::create($performersArray);
                $performer_2_id=$performers->id;
            }
        }
        
        $eventsArray=[];
        if(!empty($performer_1_id)){
            $eventsArray['performer_1_id']=$performer_1_id;
        }
        if(!empty($performer_2_id)){
            $eventsArray['performer_2_id']=$performer_2_id;
        }

        Events::where('id',$input['id'])->update($eventsArray);

        $response = ['success'=>true,'msg'=>"Performer updated successfully."];
        return response()->json($response);

    }

    public function eventsPerformersDelete(Request $request){
        
        $event=Events::where('id',$request->event_id)->first();
        if($event->performer_1_id==$request->id){
            $event->performer_1_id=null;
            $event->save();
        }
        if($event->performer_2_id==$request->id){
            $event->performer_2_id=null;
            $event->save();
        }
        return response()->json(['success'=>true,'msg'=>'Performers deleted successfully.']);
    }
    
    public function getEventVersion(Request $request){
        $eventVersions =  Events::with(['venue', 'eventcategory','venue.category','venue.category.section' ,'performer1', 'performer2','tixstocklog'])->where('current_version',0)->where('external_id',$request->id)->orderBy('created_at','desc')->get();
        $html=view('admin.events.ajax.event_version',compact('eventVersions'))->render();
       
        return response()->json(['error'=>0, 'errmsg'=>'','html'=>$html,'id'=>$request->id]);
    }
    
    public function setEventDefault(Request $request)
    {
        $id =$request->event_id;
        $external_id = $request->external_id;
        Events::where('external_id',$external_id)->update(['current_version'=>0]);
        Events::where('id',$id)->update(['current_version'=>1]);
        
        return response()->json(['success'=>true,'successmsg'=>'Event is make it to default.']);
    }
}
