<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Performers;
use App\Venues;
use App\Events;
use App\EventCategory;
use App\Sources;
use App\Traits\ApiTrait;
use App\Traits\StubhubTrait;
use Illuminate\Support\Facades\Log;
class StubhubEvents extends Command
{
    use ApiTrait,StubhubTrait;
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'fetch:events {source} {param1}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = ' Events Fetching';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {

        $source=$this->arguments()['source'];
        $slug=$this->arguments()['param1'];
        
        $resources = Sources::where('name',$source)->first();
        
        if(!$resources) throw new \InvalidArgumentException('Invalid Source');
        
        $function =  "fetch".$source."data";
        if(method_exists($this,$function)){
            $this->$function($resources,$slug);
        }
        else{
           throw new \InvalidArgumentException("Method Doesn't exist");
        }
        exit;
        // foreach($resources as $resource){
        //     switch($resource->name){
        //         case $source:
        //             //fetch events
        //             $function="fetch".$source."data";
        //             $this->$function($resource,$slug);
        //             break;
        //         default:
        //             break;
        //     }
        // }
    }

   
}
