<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DataTables;
use App\Logs;
class LogsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return view('admin.logs.index');
    }
    
    public function crondata(){
         $logs=Logs::where('type','cron')->orderBy('id','desc')->get();
        
        return Datatables::of($logs)
        ->rawColumns(['actions','domain','message'])
        
        ->editColumn('created_at',function($logs){
            return date('Y-m-d h:i:s',strtotime($logs->created_at));
        })
        ->editColumn('domain',function($logs){
            return $logs->domain.'<span style="float:right">'.$logs->created_at.'</span>';
        })
        ->addColumn('actions', function ($logs) {
         $delete='<a href="#" id="'. $logs->id.'"  data-src="" class="btn btn-sm bg-red btn-flat delete" title="Delete Log"><i class="fa fa-trash"></i></a>';
         $action = $delete.' ';
         return $action;
        })
        ->make(true);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
