<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Performers;
use App\Events;
use DataTables;
class PerformerController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //

        return view('admin.performers.index');
    }

    public function data(Request $request){
        ini_set("memory_limit","-1");
        $performers = Performers::with('events')->get();
        

        return Datatables::of($performers)
        ->rawColumns(['name','total_events'])
        ->editColumn('name', function ($performers) {
            $route = route("events.index",['domain'=>'stubhub','performer'=>$performers->name]);
            $name = "<a href= ".$route.">".$performers->name."</a>";
            return $name;
        })
        ->editColumn('total_events', function ($performers) {
            $awayEvents= Events::where('performer_2_id',$performers->id)->count();
            $totalCount = $performers->events->count()+$awayEvents;
            return $totalCount;
        })
        
       ->make(true);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    public function getPerformers(Request $request){
        $search= isset($request->q) ? $request->q : '';
        $page= isset($request->page) ? $request->page: 1;
        $resultCount = 10;
        $end = ($page - 1) * $resultCount;       
        $start = $end + $resultCount;
        
        $performers = Performers::query();

        if(!empty($search)){
            $performers = $performers->where('name','like','%'.$search.'%');
        }

        $performers = $performers->get();
        
        $count = 10;
        $data = [];
        if($performers){
            foreach($performers as $performer){
                $data[]=['id'=>$performer->id,'name'=>$performer->name];
            }
        }
       
            
        // IF SEARCH TERM IS NOT FOUND DATA WILL BE EMPTY SO
        if (empty($data)){
            $empty[] = ['id'=>'', 'name'=>'',"q" => $q]; 
            return response()->json($empty);
        }
        else{
            $results = array(
              "items" => $data,
              "total_count" => $count,
            ); 
            return response()->json($results);
        }
    
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    
}
