<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEventsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('events', function (Blueprint $table) {
            $table->id();
            $table->string('search_type')->nullable();
            $table->string('name')->nullable();
            $table->string('url')->nullable();
            $table->string('external_id')->nullable();
            $table->integer('performer_1_id')->nullable();
            $table->integer('performer_2_id')->nullable();
            $table->string('event_date')->nullable();
            $table->string('event_date_utc')->nullable();
            $table->integer('venue_id')->nullable();
            $table->string('tixstock_id')->nullable();
            $table->string('tixstock_map_status')->nullable();
            $table->string('is_run')->default('0')->nullable();
            $table->tinyInteger('mapped_status')->default('0')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->nullable()->useCurrentOnUpdate();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('events');
    }
}
