@extends('admin.layout.app')

@section('main_title', 'Events')
@section('title', 'Create Event')
@section('sub_title', 'Control Panel')

@push('styles')
<link href="{{ asset('public/assets/libs/flatpickr/flatpickr.min.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('public/assets/libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('public/assets/libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css') }}" rel="stylesheet" type="text/css">
@endpush

@section('content')
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <h4 class="header-title mb-3"> Create Event</h4>
                <div id="rootwizard">
                    <ul class="nav nav-pills bg-light nav-justified form-wizard-header mb-3" role="tablist">
                        <li class="nav-item" data-target-form="#accountForm" role="presentation">
                            <a href="#first" data-bs-toggle="tab" data-toggle="tab" class="nav-link rounded-0 pt-2 pb-2 active" aria-selected="true" role="tab">
                                <i class="mdi mdi-account-circle me-1"></i>
                                <span class="d-none d-sm-inline">Event Details</span>
                            </a>
                        </li>
                        <li class="nav-item" data-target-form="#profileForm" role="presentation">
                            <a href="#second" data-bs-toggle="tab" data-toggle="tab" class="nav-link rounded-0 pt-2 pb-2" aria-selected="false" tabindex="-1" role="tab">
                                <i class="mdi mdi-face-profile me-1"></i>
                                <span class="d-none d-sm-inline">Performers & Venue Details</span>
                            </a>
                        </li>
                        <li class="nav-item" data-target-form="#otherForm" role="presentation">
                            <a href="#third" data-bs-toggle="tab" data-toggle="tab" class="nav-link rounded-0 pt-2 pb-2" aria-selected="false" tabindex="-1" role="tab">
                                <i class="mdi mdi-checkbox-marked-circle-outline me-1"></i>
                                <span class="d-none d-sm-inline">Other Details</span>
                            </a>
                        </li>
                    </ul>

                    <div class="tab-content mb-0 b-0 pt-0">

                        <div class="tab-pane active" id="first" role="tabpanel">
                            <form id="accountForm" method="post" action="#" class="form-horizontal">
                                <div class="row">
                                    <div class="col-3">
                                            <label class=" col-form-label" for="userName3">Event Name</label>
                                            <div class="col-md-12">
                                                <input type="text" class="form-control" id="event_name" name="event_name" required="">
                                            </div>
                                    </div>
                                    <div class="col-3">
                                        <label class="col-form-label" for="password3">Event Category</label>
                                        <div class="col-md-12">
                                            <select class="form-control" name="event_category" >
                                                <option value="">Please Select Category</option>
                                                @foreach($eventCategory as $category)
                                                    <option value="{{$category}}">{{$category}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-3">
                                        <label class="col-form-label" for="confirm3">External id</label>
                                        <div class="col-md-12">
                                            <input type="text" id="external_id" name="externa_id" class="form-control" required="">
                                        </div>
                                    </div> <!-- end col -->
                                     <div class="col-3">
                                        <label class="col-form-label" for="confirm3">Event Date</label>
                                        <div class="col-md-12">
                                            <!--<input type="date" id="event_date" name="event_date" class="form-control" required="">-->
                                            <input type="text" id="event_date" class="form-control" placeholder="Date and Time">
                                        </div>
                                    </div> <!-- end col -->
                                </div> <!-- end row -->
                                <div class="row">
                                    <div class="col-3">
                                        <label class="col-form-label" for="confirm3">Event Date UTC</label>
                                        <div class="col-md-12">
                                            <!--<input type="date" id="event_date" name="event_date" class="form-control" required="">-->
                                            <input type="text" id="event_date_utc" class="form-control" placeholder="Date and Time">
                                        </div>
                                    </div> <!-- end col -->
                                </div>
                            </form>
                        </div>

                        <div class="tab-pane fade" id="second" role="tabpanel">
                            <h5 class="mb-3 mt-4 bg-light p-2"><i class="mdi mdi-plus me-1"></i> Add New Performers</h5>
                            <form id="profileForm" method="post" action="#" class="form-horizontal">
                                <div class="row">
                                    <div class="col-md-12">
                                        <label class="col-md-6 col-form-label" for="name3"> Select Performer</label>
                                        <div class="col-md-6">
                                            <select name="performers[]" id="performers" placeholder="Select Performer" class="form-control select2-multiple performer_dropdown" multiple="multiple" data-toggle="select2" data-width="100%">
                                            </select>
                                        </div>
                                    </div>
                                    <!--<div class="col-md-6">-->
                                    <!--    <label class="col-md-6 col-form-label" for="surname3"> Select Performer2 </label>-->
                                    <!--    <div class="col-md-6">-->
                                    <!--        <input type="text" id="last_name" name="last_name" class="form-control" required="">-->
                                    <!--    </div>-->
                                    <!--</div>      -->
                                </div>
                                <h5 class="mb-3 mt-4 bg-light p-2"><i class="mdi mdi-plus me-1"></i> Add New Venue</h5>
                                <div class="row">
                                    <div class="col-md-12">
                                        <label class="col-md-3 col-form-label" for="email3">Select Venue</label>
                                        <div class="col-md-6">
                                            <select name="venue" id="venue" class="form-control select2" >
                                                <option>Please Select Venue</option>
                                                @if(!empty($venues))
                                                    @foreach($venues as $venue)
                                                     <option value="{{$venue->id}}">{{$venue->name}}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>
                                    </div>
                                </div> 
                                <!-- end row -->
                            </form>
                        </div>

                        <div class="tab-pane fade" id="third" role="tabpanel">
                            <form id="otherForm" method="post" action="#" class="form-horizontal">
                                <div class="row">
                                    <div class="col-12">
                                        <div class="text-center">
                                            <h2 class="mt-0">
                                                <i class="mdi mdi-check-all"></i>
                                            </h2>
                                            <h3 class="mt-0">Thank you !</h3>
                            
                                            <p class="w-75 mb-2 mx-auto">Quisque nec turpis at urna dictum luctus. Suspendisse convallis dignissim eros at volutpat. In egestas mattis
                                                dui. Aliquam mattis dictum aliquet.</p>
                            
                                            <div class="mb-3">
                                                <div class="form-check d-inline-block">
                                                    <input type="checkbox" class="form-check-input" id="customCheck4" required="">
                                                    <label class="form-check-label" for="customCheck4">I agree with the Terms and Conditions</label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- end col -->
                                </div>
                                <!-- end row -->
                            </form>
                        </div>

                        <ul class="list-inline wizard mb-0">
                            <li class="previous list-inline-item disabled"><a href="javascript: void(0);" class="btn btn-secondary">Previous</a>
                            </li>
                            <li class="next list-inline-item float-end"><a href="javascript: void(0);" class="btn btn-secondary">Next</a></li>
                        </ul>

                    </div> <!-- tab-content -->
                </div> <!-- end #rootwizard-->

            </div>
        </div>
    </div>
</div>
@endsection

@push('scripts')
 <!-- Plugins js-->
        <script src="{{ asset('public/assets/libs/twitter-bootstrap-wizard/jquery.bootstrap.wizard.min.js') }}"></script>

        <!-- Init js-->
        <script src="{{ asset('public/assets/js/pages/form-wizard.init.js') }}"></script>
        <script src="{{ asset('public/assets/libs/multiselect/js/jquery.multi-select.js') }}"></script>
        <script src="{{ asset('public/assets/libs/select2/js/select2.min.js') }}"></script>
        <script src="{{ asset('public/assets/libs/flatpickr/flatpickr.min.js') }}"></script>
        <script src="{{ asset('public/assets/libs/bootstrap-datepicker/js/bootstrap-datepicker.min.js') }}"></script>
        <script src="{{ asset('public/assets/js/pages/form-pickers.init.js') }}"></script>
        <script>
    $(document).ready(function() {
        $('.select2-multiple').select2();
        $("#event_date").flatpickr({enableTime:!0,dateFormat:"Y-m-d H:i"});
    });
</script>
        <script>
        function getPerformer(){
            $(document).find(".performer_dropdown").select2({
                  dropdownParent: $("#profileForm"),
                  ajax: {
                    url: "{{route('fetch.performer')}}",
                    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                    type: "post",
                    dataType: 'json',
                    data: function (params) {
                       return {
                          q: params.term, // search term
                        page: params.page || 1
                       };
                    },
                    processResults: function(data, params) {
                         params.page = params.page || 1;

                      return {
                            results: $.map(data.items, function (item) { return {id: item.name, text: item.name}}),
                            pagination: {
                              more: (params.page * 10) < data.total_count
                            }
                        };
                    }
                  }
            });
        }
        
        $(document).ready(function(){
            getPerformer();
        });
        
        $(document).on('change','#venue',function(){
           var id = $(this).val();
           $.ajax({
                url: '{{route("get.venue.category.section")}}',
                type: 'post',
                data: {'id':id,'method':'stubhub_event_venue_get','_token':"{{csrf_token()}}"},
                success: function(response){
                    
                
                    
                    
                    $('#standard-modal').find('.dynamic_content').html(response.html);
                    tippy('[data-plugin="tippy"]');
                    
                    var parent = $('#standard-modal').find('.modal-body');
                    $.fn.editableform.buttons = '<button type="submit" class="btn btn-primary editable-submit btn-sm waves-effect waves-light"><i class="mdi mdi-check"></i></button><button type="button" class="btn btn-danger editable-cancel btn-sm waves-effect"><i class="mdi mdi-close"></i></button>',
                    
                    $.fn.editable.defaults.mode = 'inline';
                    $(parent).find(".inline-category").editable({
                        display:function(value) {
                             $(this).html('<i class="mdi mdi-adjust me-1"></i>'+value + ' (category)');
                         }
                    });
                    $(parent).find(".inline-section").editable({
                         display:function(value) {
                             $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>'+value + ' (section)');
                         }
                    });
                }
            });
        });
        
        $(document).on('change','#event_date',function(){
            var event_date = $(this).val();
            
            var event_date_array = event_date.split(" ");
            var date = event_date_array[0];
            var time = event_date_array[1];
            
            console.log(event_date.toString());
            // Sun Jun 20 2021 16:36:21 GMT+0500 (Pakistan Standard Time)
            
            // Date in UTC time zone
            console.log(event_date.toUTCString());
        });
        </script>
@endpush