

<?php $__env->startSection('main_title', 'Venue'); ?>
<?php $__env->startSection('title', 'Venue'); ?>
<?php $__env->startSection('sub_title', 'Control Panel'); ?>
<?php $__env->startPush('styles'); ?>
<link href="<?php echo e(asset('public/assets/libs/datatables.net-bs5/css/dataTables.bootstrap5.min.css')); ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo e(asset('public/assets/libs/datatables.net-bs5/css/editor.dataTables.min.css')); ?>" rel="stylesheet" type="text/css" />
<link href="<?php echo e(asset('public/assets/libs/datatables.net-responsive-bs5/css/responsive.bootstrap5.min.css')); ?>" rel="stylesheet" type="text/css" />
<link href="https://cdn.datatables.net/datetime/1.1.0/css/dataTables.dateTime.min.css') }}" rel="stylesheet" type="text/css" />
<link href="<?php echo e(asset('public/assets/libs/x-editable/bootstrap-editable/css/bootstrap-editable.css')); ?>" rel="stylesheet" type="text/css" />
<?php $__env->stopPush(); ?>
<!-- start content -->
<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                
                <div class="row mb-2">
                    <div class="col-sm-4">
                        <a href="<?php echo e(route('venue.create')); ?>" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle me-2"></i> Add Venue</a>
                    </div>
                </div>
                
                <div class="table-responsive">
                    <table id="venue_table" class="table m-0 table-centered table-striped dt-responsive w-100">
                        <thead>
                            <tr>
                                <th></th>
                                <th>Name</th>
                                <th>City</th>
                                <th>State</th>
                                <th>Country</th>
                                <th>Address</th>
                                <th>Postcode</th>
                                <th>Category/Section</th>
                                <th>Edit</th>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>

                
            </div> <!-- end card-body-->
        </div> <!-- end card-->
    </div> <!-- end col -->
    <!-- Standard modal content -->
    <div id="modal" class="modal fade" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="standard-modalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="standard-modalLabel">Category/Section Details</h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <hr/>
                <div class="modal-body">
                    <form id="modal_form">
                        <input type="hidden" name="id" id="id" value="" />
                    <div class="dynamic_content">
                    </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success waves-effect waves-light m-1" id="modal_save"><i class="fe-check-circle me-1"></i> Save Changes</button>
                    <button type="button" id="close_modal" class="btn btn-dark waves-effect waves-light m-1" data-bs-dismiss="modal"><i class="fe-x me-1"></i> Close</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
</div>
                        <!-- end row -->
<?php $__env->stopSection(); ?>
<!-- end content -->

<?php $__env->startPush('scripts'); ?>
<script src="<?php echo e(asset('public/assets/libs/datatables.net/js/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('public/assets/libs/datatables.net/js/dataTables.editor.min.js')); ?>"></script>
<script src="<?php echo e(asset('public/assets/libs/datatables.net-bs5/js/dataTables.bootstrap5.min.js')); ?>"></script>
<script src="<?php echo e(asset('public/assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js')); ?>"></script>
<script src="<?php echo e(asset('public/assets/libs/datatables.net-responsive-bs5/js/responsive.bootstrap5.min.js')); ?>"></script>
<script src="https://cdn.datatables.net/datetime/1.1.0/js/dataTables.dateTime.min.js') }}"></script>
<script src="<?php echo e(asset('public/assets/libs/x-editable/bootstrap-editable/js/bootstrap-editable.min.js')); ?>"></script>
 <!-- tool tip js -->
 <script src="<?php echo e(asset('public/assets/libs/tippy.js/tippy.all.min.js')); ?>"></script>
<!-- Loading buttons js -->
<script src="<?php echo e(asset('public/assets/libs/ladda/spin.min.js')); ?>"></script>
<script src="<?php echo e(asset('public/assets/libs/ladda/ladda.min.js')); ?>"></script>

<script>
            var editor;
            
            $(document).ready(function(){
                
                editor = new $.fn.dataTable.Editor( {
                    ajax: "venue_listing_data.php?method=venue_category_add",
                    table: "#venue_table",
                    "idSrc": "id",
                    fields: [
                        {
                            label: "Add Category:",
                            name: "action",
                            data: function (row, type, val) {
                                row.action = '';
                            }
                        }
                    ]
                });
 
                // Activate an inline edit on click of a table cell
                $('#venue_table').on( 'click', 'tbody td.editable', function (e) {
                    editor.bubble( this );
                });
                
                var venue_datatable = $('#venue_table').DataTable({
                  'processing': true,
                  'serverSide': true,
                  'serverMethod': 'get',
                  'ajax': {
                       'url':'<?php echo e(route("venue.data")); ?>',
                  },
                drawCallback: function() {
                    $(".dataTables_paginate > .pagination").addClass("pagination-rounded");
                    tippy('[data-plugin="tippy"]');
                },
                "columnDefs": [
                        {
                            "targets": [ 0 ],
                            "visible": false,
                            "searchable": false
                        }
                    ],
                  'columns': [
                     { data: 'id' },
                     { data: 'name' },
                     { data: 'city' },
                     { data: 'state' },
                     { data: 'country' },
                     { data: 'address' },
                     { data: 'postcode' },
                    //  { data: 'action', className: 'editable'  },
                     { data: 'category_section' },
                     { data: 'edit' },
                  ],
                 select: {
                        style:    'os',
                        selector: 'td:first-child'
                    },
               });
               
               // detail button click display info of category/section detail
                $('#venue_table tbody').on('click', '.category_section_detail_btn', function (e) {
                    e.preventDefault();  
                    var id = $(this).attr("id");
                    var sourceId=$(this).data("source");
                    var la = Ladda.create(this);
                    la.start();

                    $.ajax({
                        url: '<?php echo e(route("get.venue.category.section")); ?>',
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                        type: 'post',
                        data: {'id':id,'method':'venue_listing_get_category_section','source_id':sourceId},
                        success: function(response){
                            la.stop();
                            $('#modal').modal('show');
                            $('#modal').find('#modal_form').find('#id').val(response.id);
                            $('#modal').find('.dynamic_content').html(response.html);
                            tippy('[data-plugin="tippy"]');
                            
                            var parent = $('#modal').find('.modal-body');
                            $.fn.editableform.buttons = '<button type="submit" class="btn btn-primary editable-submit btn-sm waves-effect waves-light"><i class="mdi mdi-check"></i></button><button type="button" class="btn btn-danger editable-cancel btn-sm waves-effect"><i class="mdi mdi-close"></i></button>',
                            
                            $.fn.editable.defaults.mode = 'inline';
                            $(parent).find(".inline-category").editable({
                                display:function(value) {
                                     $(this).html('<i class="mdi mdi-adjust me-1"></i>'+value + ' (category)');
                                 },
                                 success: function(response, newValue) {
                                     $(this).closest('li').find('#newly_add_category').val(newValue);
                                 }
                            });
                            $(parent).find(".inline-section").editable({
                                 display:function(value) {
                                     $(this).html('<i class="mdi mdi-menu-right-outline me-1"></i>'+value + ' (section)');
                                 },
                                 success: function(response, newValue) {
                                     $(this).closest('li').find('#newly_add_section').val(newValue);
                                 }
                            });
                        }
                    });
                    
                });
                
                $(document).on('click','.add_category',function(){
                   
                   var category_parent = $(this).closest('.modal-body').find('.category_details_div');
                   
                   $(category_parent).show();
                   
                   $(category_parent).find('#category-select').removeClass('editable-unsaved').addClass('inline-add-category editable-empty');
                
                   $(category_parent).find('.inline-add-category').editable({
                            success: function(response, newValue) {
                                var copy_ele = $(this).closest('.modal-body').find('.sample_div_cat_section').clone();
                               
                                $(copy_ele).addClass('event_venue_detail_html_edit').removeClass('sample_div_cat_section').show();
                                $(copy_ele).find('#inline-category').attr('data-pk',newValue);
                                $(copy_ele).find('#newly_add_category').attr('pos',newValue).attr('name','newly_add_category['+newValue+']');
                                $(copy_ele).find('#newly_add_category').val(newValue);
                                $(copy_ele).find('#newly_add_category').removeAttr('disabled');
                                var text=newValue;
                                $(copy_ele).find('#inline-category').html('<i class="mdi mdi-adjust me-1"></i>'+text+' (category)');
                                $('.category_details_div').before($(copy_ele));
                                tippy('[data-plugin="tippy"]');
                                $('.category_details_div').hide();
                                $('.category_details_div').find('#category-select').removeClass('inline-add-category');
                                tippy('[data-plugin="tippy"]');
                            }    
                    });
               });
               
               $(document).on('click','.add_section',function(){
                   
                   var category_parent = $(this).closest('.add_new_section_div').find('.section_details_div');
                   
                   $(category_parent).show();
                   
                   $(category_parent).find('#section-select').removeClass('editable-unsaved').addClass('inline-add-section editable-empty');
                
                   $(category_parent).find('.inline-add-section').editable({
                            success: function(response, newValue) {
                                
                                if($(this).closest('.event_venue_detail_html_edit').length == 0){
                                    var pos = $(this).closest('.main_div').find('#newly_add_category').attr('pos');
                                }
                                else{
                                    var pos = $(this).closest('.event_venue_detail_html_edit').find('#newly_add_category').attr('pos');
                                }
                                
                                var parent = $(this).closest('.main_div').find('.sub_section');
                                var text=newValue+' (section)';
                                var html = '<li><input type="hidden" name="newly_add_section['+pos+'][]" id="newly_add_section" value="'+newValue+'"><a class="text-danger" href="#" id="inline-section" data-type="text" data-url="datatable_record_update.php" data-name="section_id" data-pk="'+newValue+'" data-title="Enter Section"><i class="mdi mdi-menu-right-outline me-1"></i>'+text+'</a></li>';
                               
                                if(parent.length == 0){
                                    var html1 = '<ul class="sub_section">'+html+'</ul>';
                                    $(this).closest('.main_div').find('#inline-category').append(html1);
                                }
                                else{
                                    $(this).closest('.main_div').find('.sub_section').append(html);
                                }
                                
                                $(this).closest('.main_div').find('.section_details_div').hide();
                                $('.section_details_div').find('#section-select').removeClass('inline-add-section');
                            }    
                    });
               });
               
               $(document).on('click','#modal_save',function(e){
                   e.preventDefault();
                   
                   var flag=0;
                   var edit_cat_flag=0;
                   var form_data = $('#modal_form').serialize();
                   if(form_data.indexOf('modal_type=performer_save') != -1){
                       flag=1;
                   }
                   else if(form_data.indexOf('modal_type=sub_category_save') != -1){
                       flag=1;
                   }
                   else if(form_data.indexOf('modal_type=sub_category_edit_save') != -1){
                       flag=1;
                       edit_cat_flag=1;
                   }
                   
                //   if(edit_cat_flag == 1){
                //       console.log(456)
                //         Swal.fire({
                //             title: "Are you sure?",
                //             icon: "warning",
                //             showCancelButton: !0,
                //             // confirmButtonColor: "#28bb4b",
                //             // cancelButtonColor: "#f34e4e",
                //             confirmButtonText: "Save Data For this Event Only ?",
                //             cancelButtonText: "Save Data For Same Category of Events ?"
                //         // }, function (isConfirm) {
                //         //     var save_type='individual';
                //         //     if (isConfirm) {
                //         //         save_type='all';
                //         //     }
                //         //     var form_data = $('#modal_form').serialize()+ '&save_type='+save_type+'&';
                //         // });
                //         }).then(function(result) {
                //             console.log(result)
                //             var save_type='individual';
                //             if (result.isConfirmed) {
                //                 save_type='all';
                //             }
                //             // e.value ? save_type='individual' : save_type='all';
                            
                //             var form_data = $('#modal_form').serialize()+ '&save_type='+save_type+'&';
                //         })
                //   }
                //   console.log(123)
                   
                  $.ajax({
                        url: "<?php echo e(route('events.update.category.section')); ?>",
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                        type: 'post',
                        data: form_data,
                        success: function(response){
                          Swal.fire({
                                title: 'successfully saved data!',
                                icon: "success"
                            }).then(function() {
                                $('#standard-modal').find('#close_modal').trigger('click');
                                if(flag == 1){
                                    datatable.ajax.reload();
                                }
                            })
                        }
                    });
               });

               $(document).on('click','.delete_section',function(){
                var secId=$(this).data('id');
                
                Swal.fire({
                    title: "Are you sure?",
                    icon: "warning",
                    showCancelButton: !0,
                    // confirmButtonColor: "#28bb4b",
                    // cancelButtonColor: "#f34e4e",
                    confirmButtonText: "Delete Section?",
                    cancelButtonText: "Cancel?"
                })
                .then(function(result,me) {
                    if (result.isConfirmed) {
                        $.ajax({
                        url: "<?php echo e(route('venue.category.delete.section')); ?>",
                        type: 'post',
                        data: {"id":secId},
                        success: function(response){
                          Swal.fire({
                                title: response.msg,
                                icon: "success"
                            }).then(function() {
                                $(".section_"+secId).parent('li').remove();
                            })
                        }
                    })
                }
                    else{
                        console.log("test");
                    }
                })    
            });
            $(document).on('click','.delete_category',function(){
                var categoryId=$(this).data('id');
                
                Swal.fire({
                    title: "Are you sure?",
                    icon: "warning",
                    showCancelButton: !0,
                    // confirmButtonColor: "#28bb4b",
                    // cancelButtonColor: "#f34e4e",
                    confirmButtonText: "Delete Category?",
                    cancelButtonText: "Cancel?"
                })
                .then(function(result,me) {
                    if (result.isConfirmed) {
                        $.ajax({
                        url: "<?php echo e(route('venue.category.delete')); ?>",
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
                        type: 'post',
                        data: {"id":categoryId},
                        success: function(response){
                          Swal.fire({
                                title: response.msg,
                                icon: "success"
                            }).then(function() {
                                $(".category_"+categoryId).parent('li').remove();
                            })
                        }
                    })
                }
                    else{
                        console.log("test");
                    }
                })    
            });
               
            });
        </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layout.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\event-engine\resources\views/admin/venue/index.blade.php ENDPATH**/ ?>