@extends('admin.layout.app')

@section('main_title', 'View Event')
@section('title', '')
@section('sub_title', 'Control Panel')

@push('styles')
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<link href="{{ asset('public/assets/libs/nestable2/jquery.nestable.min.css') }}" rel="stylesheet" />
<link href="{{ asset('node_modules/jquery.json-viewer/json-viewer/jquery.json-viewer.css')}}" type="text/css" rel="stylesheet">
<script src="{{ asset('node_modules/jquery.json-viewer/json-viewer/jquery.json-viewer.js') }}"></script>

@endpush


@section('content')
<div class="row">
                            <div class="col-lg-12">
                                <div class="search-result-box card">
                                    <div class="card-body">
                                        <div class="row">
                                              <h4>Event Details</h4>
                                            <div class="col-md-8 offset-md-2">
                                                <div class="pt-3 pb-4">
                                                    <!--<div class="input-group">-->
                                                    <!--    <input type="text" class="form-control" value="Admin Dashboard">-->
                                                    <!--    <button type="button" class="input-group-text btn waves-effect waves-light btn-blue"><i class="fa fa-search me-1"></i> Search</button>-->
                                                    <!--</div>-->
                                                    <div class="mt-3 text-center">
                                                        <h4>{{$event->name}}</h4>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- end row -->
    
                                        <ul class="nav nav-tabs nav-bordered" role="tablist">
                                            <li class="nav-item " role="presentation">
                                                <a href="#event_information" data-bs-toggle="tab" aria-expanded="true" class="nav-link active" aria-selected="false" role="tab" tabindex="-1">
                                                   Event Information <!-- <span class="badge bg-success ms-1"></span>-->
                                                </a>
                                            </li>
                                            <!-- <li class="nav-item" role="presentation">-->
                                            <!--    <a href="#home" data-bs-toggle="tab" aria-expanded="true" class="nav-link" aria-selected="false" role="tab" tabindex="-1">-->
                                            <!--       Performers<!-- <span class="badge bg-success ms-1"></span>-->
                                            <!--    </a>-->
                                            <!--</li>-->
                                            <li class="nav-item" role="presentation">
                                                <a href="#venue_information" data-bs-toggle="tab" aria-expanded="true" class="nav-link" aria-selected="false" role="tab" tabindex="-1">
                                                   Venue Information<!-- <span class="badge bg-success ms-1"></span>-->
                                                </a>
                                            </li>
                                            <li class="nav-item" role="presentation">
                                                <a href="#tixstock_log" data-bs-toggle="tab" aria-expanded="true" class="nav-link" aria-selected="false" role="tab" tabindex="-1">
                                                   Tixstock Log<!-- <span class="badge bg-success ms-1"></span>-->
                                                </a>
                                            </li>
                                            <li class="nav-item" role="presentation">
                                                <a href="#update_log" data-bs-toggle="tab" aria-expanded="false" class="nav-link" aria-selected="true" role="tab">
                                                   Update Log <!--<span class="badge bg-danger ms-1"></span>-->
                                                </a>
                                            </li>
                                        </ul>
    
                                        <div class="tab-content">
                                            <div class="tab-pane active" id="event_information" role="tabpanel">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                       <div class="text-start mt-3">
                                                            <h4>Event Details</h4>
                                                            <p class="text-muted mb-2 font-15"><strong>Name :</strong> <span class="ms-2">{{$event->name}}</span></p>
                                                            
                                                            <p class="text-muted mb-2 font-15"><strong>External :</strong> <span class="ms-2">{{$event->external_id}}</span></p>
                                                            
                                                            <p class="text-muted mb-2 font-15"><strong>Source :</strong> <span class="ms-2">{{$event->source->name}}</span></p>
                                                        
                                                            <!--<p class="text-muted mb-2 font-15"><strong>Url :</strong><span class="ms-2">{{$event->url}}</span></p>-->
                                                            
                                                            <p class="text-muted mb-2 font-15"><strong>Status :</strong> <span class="ms-2">{{$event->status}}</span></p>
                                                        
                                                            <p class="text-muted mb-2 font-15"><strong>Event Date :</strong> <span class="ms-2">{{$event->event_date}}</span></p>
                                                            
                                                            <p class="text-muted mb-2 font-15"><strong>Created Date :</strong> <span class="ms-2">{{$event->created_at}}</span></p>
                                                             
                                                            <p class="text-muted mb-2 font-15"><strong>Updated Date :</strong> <span class="ms-2">{{$event->updated_at}}</span></p>
                                                            
                                                            <p class="text-muted mb-1 font-15"><strong>Mapped Status :</strong> <span class="ms-2">@if($event->mapped_status==0) UnMapped @else Mapped @endif</span></p>
                                                             
                                                            <hr>
                                                            <h4>Event Category</h4>
                                                            <p class="text-muted mb-2 font-15"><strong> Primary Category :</strong> <span class="ms-2">@if(!empty($event->eventcategory->primary_category)) {{$event->eventcategory->primary_category}} @endif</span></p>
                                                            
                                                            <p class="text-muted mb-2 font-15"><strong> Secondary Category :</strong> <span class="ms-2">{{$event->eventcategory->secondary_category}}</span></p>
                                                            
                                                            <hr>
                                                            <h4>Performers</h4>
                                                            <p class="text-muted mb-2 font-15"><strong> Performer 1 :</strong> <span class="ms-2">@if(!empty($event->performer1->name)) {{$event->performer1->name}} @endif</span></p>
                                                            <p class="text-muted mb-2 font-15"><strong> External Id :</strong> <span class="ms-2">@if(!empty($event->performer1->external_id)) {{$event->performer1->external_id}} @endif</span></p>
                                                            @if($event->performer2 != NULL)
                                                            <p class="text-muted mb-2 font-15"><strong> Performer 2 :</strong> <span class="ms-2">@if(!empty($event->performer2->name)) {{$event->performer2->name}} @endif</span></p>
                                                            <p class="text-muted mb-2 font-15"><strong> External Id :</strong> <span class="ms-2">@if(!empty($event->performer2->external_id)) {{$event->performer2->external_id}} @endif</span></p>
                                                            @endif
                                                        </div>
                                                        <div class="clearfix"></div>
                                                    </div>
                                                </div>
                                                <div class="clearfix"></div>
                                            </div>
                                            <div class="tab-pane " id="venue_information" role="tabpanel">  
                                                <p class="text-muted mb-2 font-15"><strong>Name :</strong> <span class="ms-2">{{$event->venue->name}}</span></p>
                                                            
                                                <p class="text-muted mb-2 font-15"><strong>Address :</strong> <span class="ms-2">{{$event->venue->address_line_1}} {{$event->venue->address_line_2}}</span></p>
                                                            
                                                <p class="text-muted mb-2 font-15"><strong>City :</strong> <span class="ms-2">{{$event->venue->city}}</span></p>
                                                <p class="text-muted mb-2 font-15"><strong>State :</strong> <span class="ms-2">{{$event->venue->state}}</span></p>
                                                <p class="text-muted mb-2 font-15"><strong>PostCode :</strong> <span class="ms-2">{{$event->venue->post_code}}</span></p>
                                                <p class="text-muted mb-2 font-15"><strong>Country :</strong> <span class="ms-2">{{$event->venue->country}}</span></p>
                                                
                                                <hr>
                                                <h4>Category & Sections</h4>
                                                @if($event->venue->category->count() > 0)
                                                <h5>Source : Stubhub</h5>
                                                    <div class="custom-dd dd" id="nestable_list_1">
                                                    @foreach($event->venue->category as $ck=>$cat)
                                                        <ol class="dd-list">
                                                            <li class="dd-item dd-collapsed" data-id="2">
                                                                <button class="dd-collapse" data-action="collapse" type="button">Collapse</button><button class="dd-expand" data-action="expand" type="button">Expand</button>
                                                                <div class="dd-handle">
                                                                   {{ trim(str_replace('(category)','',$cat->name)) }}
                                                                </div>
                                                                @if($cat->section)
                                                                    @foreach($cat->section as $sk=>$sec)
                                                                        <ol class="dd-list">
                                                                            <li class="dd-item dd-collapsed" data-id="3">
                                                                                <div class="dd-handle">
                                                                                   {{ $sec->name }}
                                                                                </div>
                                                                            </li>
                                                                        </ol>
                                                                    @endforeach
                                                                @endif    
                                                            </li>
                                                        </ol>
                                                    @endforeach 
                                                </div>
                                                @else
                                                    <p class="text-muted mb-2 font-15">No data available</p>
                                                @endif
                                                
                                                <div class="clearfix"></div>                                           
                                            </div>
                                            
                                            <div class="tab-pane " id="tixstock_log" role="tabpanel">   
                                                <div class="col-xl-12">
                                                    <div id="accordion" class="mb-3">
                                                        @if($event->tixstockLog->count() > 0)
                                                            @php $count=1; @endphp
                                                            @foreach($event->tixstockLog as $log)
                                                                <div class="card mb-1">
                                                                    <div class="card-header" id="heading{{$count}}">
                                                                        <h5 class="m-0">
                                                                            <a class="text-dark collapsed" data-bs-toggle="collapse" href="#collapse{{$count}}" aria-expanded="false">
                                                                                <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                                Type : {{$log->type}} | Source : {{$log->source->name}}
                                                                                <span style="float:right">Created Date : {{$log->created_at}}</span>
                                                                            </a>
                                                                        </h5>
                                                                    </div>
                                                
                                                                    <div id="collapse{{$count}}" class="collapse" aria-labelledby="heading{{$count}}" data-bs-parent="#accordion{{$count}}" style="">
                                                                        <div class="card-body">
                                                                               <div class="card mb-1">
                                                                                    <div class="card-header" id="request_header{{$count}}">
                                                                                        <h5 class="m-0">
                                                                                            <a class="text-dark collapsed" data-bs-toggle="collapse" href="#request_header_{{$count}}" aria-expanded="false">
                                                                                                <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                                               Request Header
                                                                                            </a>
                                                                                        </h5>
                                                                                    </div>
                                                                                    <div id="request_header_{{$count}}" class="collapse" aria-labelledby="request_header_{{$count}}" data-bs-parent="#accordion_{{$count}}" style="">
                                                                                        <div class="card-body">
                                                                                              <li>Content Type : Application/json</li>
                                                                                              <li>Token : {{ $log->source->token }}</li>   
                                                                                        </div>
                                                                                    </div>
                                                                                </div> 
                                                                                <div class="card mb-1">
                                                                                    <div class="card-header" id="request_body{{$count}}">
                                                                                        <h5 class="m-0">
                                                                                        <a class="text-dark collapsed" data-bs-toggle="collapse" href="#request_body_{{$count}}" aria-expanded="false">
                                                                                            <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                                           Request Body
                                                                                        </a>
                                                                                    </h5>
                                                                                    </div>
                                                                                    <div id="request_body_{{$count}}" class="collapse" aria-labelledby="request_body_{{$count}}" data-bs-parent="#accordion_{{$count}}" style="">
                                                                                        <div class="card-body" >
                                                                                           <pre id="json-formdata{{$count}}"></pre>
                                                                                           <script>
                                                                                               $('#json-formdata{{$count}}').jsonViewer(<?php echo $log->form_data; ?>);
                                                                                           </script>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                               <div class="card mb-1" >
                                                                                    <div class="card-header" id="request_body{{$count}}">
                                                                                    <h5 class="m-0">
                                                                                        <a class="text-dark collapsed" data-bs-toggle="collapse" href="#request_response_{{$count}}" aria-expanded="false">
                                                                                            <!--<i class="mdi mdi-help-circle me-1 text-primary"></i> -->
                                                                                           Request Response
                                                                                        </a>
                                                                                    </h5>
                                                                                </div>
                                                                                <div id="request_response_{{$count}}" class="collapse" aria-labelledby="request_response_{{$count}}" data-bs-parent="#accordion_{{$count}}" style="">
                                                                                    <div class="card-body">
                                                                                     <pre id="json-response{{$count}}"></pre>
                                                                                           <script>
                                                                                               $('#json-response{{$count}}').jsonViewer(<?php echo $log->message; ?>);
                                                                                           </script>  
                                                                                    </div>
                                                                                </div>
                                                                </div> 
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            @php $count++; @endphp
                                                            @endforeach
                                                        @endif
                                                     
                                                    </div> <!-- end #accordions-->
                                                </div>
                                                <div class="clearfix"></div>                                           
                                            </div>
                                            <!-- Users tab -->
                                            <div class="tab-pane active" id="update_log" role="tabpanel">
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        @if(!empty($event->prev_name) || !empty($event->prev_event_date) || !empty($event->prev_performer_1_id) || !empty($event->prev_performer_2_id) || !empty($event->prev_venue_id))
                                                            @if(!empty($event->prev_name))
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Previous Name :</strong> <span class="ms-2">{{$event->prev_name}}</span></p>
                                                                </div>
                                                                
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Current Name :</strong> <span class="ms-2">{{$event->name}}</span></p>
                                                                </div>
                                                            </div>
                                                            <hr>
                                                            @endif
                                                            @if(!empty($event->prev_performer_1_id))
                                                             <div class="row">
                                                                 
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Previous Performer :</strong> <span class="ms-2">@if(!empty($event->prevPerformer1->name)) {{$event->prevPerformer1->name}} @endif</span></p>
                                                                </div>
                                                                
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Current Performer :</strong> <span class="ms-2">@if(!empty($event->performer1->name)) {{$event->performer1->name}} @endif</span></p>
                                                                </div>
                                                                
                                                            </div>
                                                            <hr>
                                                            @endif
                                                            @if(!empty($event->prev_performer_2_id))
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Previous Performer :</strong> <span class="ms-2">@if(!empty($event->prevPerformer2->name)) {{$event->prevPerformer2->name}} @endif</span></p>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Current Performer :</strong> <span class="ms-2">@if(!empty($event->performer2->name)) {{$event->performer2->name}} @endif</span></p>
                                                                </div>
                                                            
                                                            </div>
                                                            <hr>
                                                            @endif
                                                            @if(!empty($event->prev_event_date))
                                                            
                                                            <div class="row">
                                                                 <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Previous Event Date :</strong> <span class="ms-2">{{$event->prev_event_date}}</span></p>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Current Event Date :</strong> <span class="ms-2">{{$event->event_date}}</span></p>
                                                                </div>
                                                               
                                                            </div>
                                                             <hr>
                                                            @endif
                                                            
                                                            @if(!empty($event->prev_venue_id))
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Previous Venue Details :</strong> <span class="ms-2">{{$event->prev_venue_id}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>Name :</strong> <span class="ms-2">{{$event->prevVenue->name}}</span></p>
                                                                    
                                                                    <p class="text-muted mb-2 font-15"><strong>Address :</strong> <span class="ms-2">{{$event->prevVenue->address_line_1}} {{$event->prevVenue->address_line_2}}</span></p>
                                                                                
                                                                    <p class="text-muted mb-2 font-15"><strong>City :</strong> <span class="ms-2">{{$event->prevVenue->city}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>State :</strong> <span class="ms-2">{{$event->prevVenue->state}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>PostCode :</strong> <span class="ms-2">{{$event->prevVenue->post_code}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>Country :</strong> <span class="ms-2">{{$event->prevVenue->country}}</span></p>
                                                        
                                                                    <hr>
                                                                    <h4>Category & Sections</h4>
                                                                    <h5>Source : Stubhub</h5>
                                                                    <div class="custom-dd dd" id="nestable_list_1">
                                                                        @foreach($event->prevVenue->category as $ck=>$cat)
                                                                            <ol class="dd-list">
                                                                                <li class="dd-item dd-collapsed" data-id="2">
                                                                                    <button class="dd-collapse" data-action="collapse" type="button">Collapse</button><button class="dd-expand" data-action="expand" type="button">Expand</button>
                                                                                    <div class="dd-handle">
                                                                                       {{ trim(str_replace('(category)','',$cat->name)) }}
                                                                                    </div>
                                                                                    @if($cat->section)
                                                                                        @foreach($cat->section as $sk=>$sec)
                                                                                            <ol class="dd-list">
                                                                                                <li class="dd-item dd-collapsed" data-id="3">
                                                                                                    <div class="dd-handle">
                                                                                                       {{ $sec->name }}
                                                                                                    </div>
                                                                                                </li>
                                                                                            </ol>
                                                                                        @endforeach
                                                                                    @endif    
                                                                                </li>
                                                                            </ol>
                                                                        @endforeach 
                                                                    </div>
                                                                </div> 
                                                                
                                                                <div class="col-md-6">
                                                                    <p class="text-muted mb-2 font-15"><strong>Current Venue Details :</strong> <span class="ms-2">{{$event->venue_id}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>Name :</strong> <span class="ms-2">{{$event->venue->name}}</span></p>
                                                                    
                                                                    <p class="text-muted mb-2 font-15"><strong>Address :</strong> <span class="ms-2">{{$event->venue->address_line_1}} {{$event->venue->address_line_2}}</span></p>
                                                                                
                                                                    <p class="text-muted mb-2 font-15"><strong>City :</strong> <span class="ms-2">{{$event->venue->city}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>State :</strong> <span class="ms-2">{{$event->venue->state}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>PostCode :</strong> <span class="ms-2">{{$event->venue->post_code}}</span></p>
                                                                    <p class="text-muted mb-2 font-15"><strong>Country :</strong> <span class="ms-2">{{$event->venue->country}}</span></p>
                                                        
                                                                    <hr>
                                                                    <h4>Category & Sections</h4>
                                                                    <h5>Source : Stubhub</h5>
                                                                    <div class="custom-dd dd" id="nestable_list_1">
                                                            @foreach($event->venue->category as $ck=>$cat)
                                                                <ol class="dd-list">
                                                                    <li class="dd-item dd-collapsed" data-id="2">
                                                                        <button class="dd-collapse" data-action="collapse" type="button">Collapse</button><button class="dd-expand" data-action="expand" type="button">Expand</button>
                                                                        <div class="dd-handle">
                                                                           {{ trim(str_replace('(category)','',$cat->name)) }}
                                                                        </div>
                                                                        @if($cat->section)
                                                                            @foreach($cat->section as $sk=>$sec)
                                                                                <ol class="dd-list">
                                                                                    <li class="dd-item dd-collapsed" data-id="3">
                                                                                        <div class="dd-handle">
                                                                                           {{ $sec->name }}
                                                                                        </div>
                                                                                    </li>
                                                                                </ol>
                                                                            @endforeach
                                                                        @endif    
                                                                    </li>
                                                                </ol>
                                                            @endforeach 
                                                        </div>
                                                                </div>
                                                                
                                                                
                                                            </div>
                                                            @endif
                                                        @else
                                                            <!--<p class="text-muted mb-2 font-15"><span class="ms-2">No Update made for this event.</span></p>-->
                                                        @endif
                                                        <div class="clearfix"></div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- end Users tab -->
                                            <!-- end All results tab -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
@endsection

@push('scripts')

<script src="{{ asset('public/assets/libs/nestable2/jquery.nestable.min.js') }}"></script>
<script src="{{ asset('public/assets/js/pages/nestable.init.js') }} "></script>

@endpush