<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('stubhub/{slug}','API\StubhubController@index');
Route::get('stubhub/fetch/zone','API\StubhubController@zones');
Route::get('stubhub/create/token','API\StubhubController@createToken');

Route::get('tixstock/get/categories','API\TixstockController@getCategories');

Route::prefix('/tixstock')->name('tixstock.')->namespace('Tixstock')->group(function () {
  
    Route::prefix('/events')->name('events.')->group(function () {
        Route::post('/add', 'EventsController@addEvent')->name('add');
        Route::get('/get', 'EventsController@getEvents')->name('get');
    });

});