<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect(route('login'));
});

Auth::routes();

Route::group(['middleware' => ['auth','checkrole']], function(){
//homep page route
Route::get('/dashboard', 'HomeController@index')->name('home');

//roles
Route::resource('roles','RolesController');
Route::get('fetch/roles/data','RolesController@data')->name('role.data');
Route::post('role/update/{id}','RolesController@updatedata')->name('role.update.data');

//user routes
Route::resource('user','UserController');
Route::get('fetch/user/data','UserController@data')->name('users.data');

//events routes
// Route::resource('events','EventsController');
Route::resource('event','EventsController');
Route::get('events/{domain?}/{type?}','EventsController@index')->name('events.index');
Route::post('fetch/event/data','EventsController@data')->name('event.data');
Route::post('fetch/event/venue/data','EventsController@fetchEventVenueDetails')->name('fetch.event.venue.details');
Route::post('events/data/update','EventsController@eventsDataUpdate')->name('events.data.update');
Route::post('events/update/category/section','EventsController@eventsUpdateCategorySection')->name('events.update.category.section');
Route::post('events/venue/category/update','EventsController@eventsVenueCategoryUpdate')->name('events.venue.category.update');
Route::post('events/performers/update','EventsController@eventsPerformersUpdate')->name('events.performers.update');
Route::post('events/performers/delete','EventsController@eventsPerformersDelete')->name('events.performers.delete');
Route::post('events/tixstock/log','EventsController@getTixstockLog')->name('fetch.event.tixstock.log');
Route::post('events/get/versions','EventsController@getEventVersion')->name('get.event.versions');
Route::post('events/set/default','EventsController@setEventDefault')->name('events.make.default');
//venue routes
Route::resource('venue','VenueController');
Route::get('venues/listing','VenueController@data')->name('venue.data');
Route::post('venues/category/section/data','VenueController@getVenueCategorySectionData')->name('get.venue.category.section');
Route::post('venue/category/delete','VenueController@deletecategory')->name('venue.category.delete');
Route::post('venue/category/delete/section','VenueController@deleteSection')->name('venue.category.delete.section');
//performers routes
Route::resource('performer','PerformerController');
Route::post('fetch/performers','PerformerController@getPerformers')->name('fetch.performer');
Route::post('fetch/perfomer/data','PerformerController@data')->name('performer.data');
//categories routes
Route::resource('category','CategoryController');
Route::post('categories/data/update','CategoryController@categoriesDataUpdate')->name('categories.data.update');

//resource routes 
Route::resource('sources','SourcesController');
Route::resource('logs','LogsController');
Route::get('fetch/cron/log/data','LogsController@Crondata')->name('cronlog.data');
Route::get('fetch/sources/data','SourcesController@data')->name('sources.data');
});